Subject: RE: Stuck trying to reinstall Emacs 23.0.92 and setup dying each time
From: "KARR, DAVID (ATTCINW)" <[email-masked]>
To: "Ken Brown" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 1 Jul 2009 15:37:09 -0700
List-Id: <cygwin.cygwin.com>

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Ken Brown
> Sent: Wednesday, July 01, 2009 3:23 PM
> Cc: [email-masked]
> Subject: Re: Stuck trying to reinstall Emacs 23.0.92 and setup dying
> each time
> 
> On 7/1/2009 5:31 PM, KARR, DAVID (ATTCINW) wrote:
> >> -----Original Message-----
> >> From: [email-masked] [mailto:[email-masked]] On
> >> Behalf Of Ken Brown
> >> Sent: Wednesday, July 01, 2009 1:42 PM
> >> To: [email-masked]
> >> Subject: Re: Stuck trying to reinstall Emacs 23.0.92 and setup
dying
> >> each time
> >>
> >> On 7/1/2009 12:20 PM, KARR, DAVID (ATTCINW) wrote:
> >>> I had set up Cygwin yesterday with the experimental Emacs 23.0.92.
> > I
> >>> had done other updates after that, forgetting the fact that since
> > I'm
> >>> using an experimental package, I have to set the Emacs-related
> pages
> >> to
> >>> "Keep".  I'm now in a state where I have the 23.0.92 executable,
> but
> >>> with /usr/share/emacs/21.2.  So, now I'm trying to run setup again
> > to
> >>> reinstall 23.0.92, or uninstall it, or anything.  No matter what I
> >> do,
> >>> setup dies hard, requiring a forced kill from task manager.
> >>>
> >>> What can I do to clean up from this situation?
> >> Does http://sourceware.org/ml/cygwin/2008-04/msg00065.html help?
> The
> >> bug discussed there was supposed to have been fixed
> >> (http://sourceware.org/ml/cygwin/2008-08/msg00128.html), but it
> >> wouldn't
> >> hurt to see if that's the problem.
> >
> > Hmm, well it's a little hard to tell.  It's clear it's not exactly
> the
> > same thing, because my copy of "/etc/setup/cygrunsrv.lst.gz" isn't
> > corrupted, it simply doesn't exist.
> 
> cygrunsrv happened to be the package that the poster of that message
> was
> having trouble with.  You should look at /etc/setup/emacs*.lst.gz.

Ok, so that shows that emacs-el.lst.gz was corrupted.  I deleted it,
then reran setup. I clicked "Exp", then "View", then scrolled down to
the three "emacs*" lines and set them all to "Reinstall" (the "Current"
column says "23.0.92-2") and clicked "Next".  It chugged for a bit, last
displaying "Uninstalling emacs-el", then reported "setup.exe has
encountered ...".  After dismissing the dialog, I looked at /etc/setup
again, and the corrupted "emacs-el.lst.gz" was there again.  I also
checked to see whether any other "*.lst.gz" files were corrupted, and
there were none.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple